Bug 59020 - UI: Persistent "Edit contour" window
Summary: UI: Persistent "Edit contour" window
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-04 12:57 UTC by Mickael Istria
Modified: 2015-07-18 17:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
No way to close contour window (265.75 KB, image/png)
2013-01-04 12:57 UTC, Mickael Istria
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mickael Istria 2013-01-04 12:57:23 UTC
Created attachment 72506 [details]
No way to close contour window

I used "Edit contour" on Ubuntu and could not find a way to close the Window. No menu was there to close, nothing in toolbar, no "Close" button on the window status bar.
Restarting LibreOffice and Opening any document automatically re-opens the Contour window, hiding 2/3 of the main LibreOffice window and making using of LibreOffice impossible.
I could get rid of it by reducing the main LibreOffice window, and unchecking "Format/Wrap/Edit Contour" menu.

This workaround is pretty difficult to guess for a "normal" user which would feel that LibreOffice is broken.

This might also be an Ubuntu bug in the way the Window is handled, but in any case, I would suggest that the toolbar of the "Edit Contour" window contain a "Close" button, to improve usability
Operating System: Ubuntu
Version: 3.5.4 release
Comment 1 Jorendc 2013-03-20 20:47:25 UTC
Hi Mickael,

Thanks for reporting.
I see you are using an outdated version of Libreoffice. Our 3.5 branch is EOL (End Of Life). I cannot reproduce this behavior. Therefore I recommend you to retest using LibreOffice 4.0 or LibreOffice 3.6 which you can download here: http://www.libreoffice.org/download/?nodetect (follow the steps).

You also can use the PPA: https://launchpad.net/~libreoffice/+archive/libreoffice-4-0

Thanks for retesting and your feedback.

Kind regards,
Joren

I mark this bug as NEEDINFO until response of Mickael
Comment 2 Mickael Istria 2013-03-21 08:24:40 UTC
I upgraded to version 4.0.1 from the ppa and this bug is still present.
Steps to reproduce:
1. Open new writer document
2. insert a picture
3. Select the picture, right click, Wrap > Edit coutour...
4. Contour editor shows up, and there is no way to close it from Ubuntu (no close button in toolbar, Ubuntu menu bar shows nothing, and no "quit" button as it usually does).
At this point, the average user gets confused or annoyed and doesn't know how to close this window.

The solution is to go back to main LibreOffice window, and apply step 3 again, but it's not a good ergonomics since one would expect to be able to close the "Edit Countour" window without having to switch back to another window.
Comment 3 Brenda Granados 2013-03-21 14:07:51 UTC
Hi Mickael. I tested this using LibreOffice Writer Version 4.0.2.1. After following steps 1-3, the Edit Contour window pops up. There is an 'X' in the upper left hand corner of that window. After clicking this, I am able to close the window without issue.

Because of this I'm marking the bug as WFM. If it's still an issue for you please provide any additional helpful information and reopen the bug as UNCONFIRMED. One thing I do see in your attachment... are you using Ubuntu with Unity? I am using GNOME. If your problem still persists, that could be something to look into.



Version: Version 4.0.2.1 (Build ID: 7e5467ff8f30d821f4fbf69cb2769163eb64c2c)
Platform: Ubuntu Linux 12.04 LTS x64
Comment 4 Mickael Istria 2013-03-21 14:11:18 UTC
I'm using an out-of-the-box Ubuntu, so it's using Unity.
Comment 5 claus 2013-10-16 08:41:19 UTC
I'm using LibreOffice 4.0.2.2 on Ubuntu 12.04 and I had the same problem temporarily today.

When I opened the "Edit contour" window, it had not title bar and therefore not X in the upper left corner that would allow med to close the window. I closed LibreOffice and reopened it, but the "Edit contour" window was still open and had not title bar or X.

Using Mickaels method in his "Comment 2", I managed to close the "Edit countour" window, and thereafter when I opened the window again, the problem was gone. The window now had a title bar and an X that allowed me to close the window.

So apparently, the problem comes and goes. I have not been able to reproduce it.
Comment 6 claus 2013-10-16 08:43:03 UTC
Typo: "it had not title bar and therefore not X" should be "it had no title bar and therefore no X". Sorry.
Comment 7 Joel Madero 2014-11-06 17:53:43 UTC
This needs to be independently confirmed by QA - moving to UNCONFIRMED. Thanks
Comment 8 Buovjaga 2014-11-16 16:07:44 UTC
Closing X is present for me. I'd like the affected persons to test a newer Ubuntu from a live USB and report here (include the LibO version number).

Tested on
Ubuntu 14.10 64-bit Version: 4.4.0.0.alpha2+
Build ID: 3cf226622a3d8c09d655034dbcc81695f1662b87
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-11-15_23:24:22

and

Version: 4.3.3.2
Build ID: 430m0(Build:2)
Comment 9 QA Administrators 2015-06-08 14:28:47 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!

This NEEDINFO Message was generated on: 2015-06-08

Warm Regards,
QA Team
Comment 10 QA Administrators 2015-07-18 17:27:22 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-07-18